plugins {
    id 'org.jetbrains.kotlin.jvm'
    id 'org.jetbrains.kotlin.plugin.serialization'
    id 'application'
}

application {
    mainClass = 'com.correx.apps.cli.MainKt'
}

dependencies {
    implementation "com.github.ajalt.clikt:clikt:5.0.1"

    implementation "io.ktor:ktor-client-core:$ktor_version"
    implementation "io.ktor:ktor-client-cio:$ktor_version"
    implementation "io.ktor:ktor-client-content-negotiation:$ktor_version"
    implementation "io.ktor:ktor-client-websockets:$ktor_version"
    implementation "io.ktor:ktor-serialization-kotlinx-json:$ktor_version"
}

tasks.named("koverVerify").configure { enabled = false }
